/// <reference path="../../../../src/@types/@kano/common/index.d.ts" />
export declare const ToolbarEntryPosition: {
    LEFT: number;
    RIGHT: number;
};
export interface IToolboarEntryOptions {
    callback?(): void;
}
export declare class ToolbarEntry {
    private _onDidActivate;
    readonly onDidActivate: import("@kano/common/index.js").IEvent<void>;
    private toolbar;
    private opts;
    constructor(toolbar: any, opts: IToolboarEntryOptions);
    _inject(): void;
    _getIndex(): any;
    dispose(): void;
    updateIcon(icon: string): void;
    updateIronIcon(icon: string): void;
    updateTitle(title: string): void;
}
export interface IToolboarSettingsEntryOptions {
    callback?(): void;
}
export declare class ToolbarSettingsEntry {
    private _onDidActivate;
    readonly onDidActivate: import("@kano/common/index.js").IEvent<void>;
    private toolbar;
    private opts;
    constructor(toolbar: any, opts: IToolboarSettingsEntryOptions);
    _inject(): void;
    _getIndex(): any;
    dispose(): void;
    updateIcon(icon: string): void;
    updateIronIcon(icon: string): void;
    updateTitle(title: string): void;
}
export default ToolbarEntry;
